activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Davies <rajdav...@gmail.com>
Subject Re: Cutting a 5.9.1 release??
Date Wed, 11 Dec 2013 11:19:20 GMT
Why not just go for a 5.10 and get this fixed ?

On 11 Dec 2013, at 11:13, Dejan Bosanac <dejan@nighttale.net> wrote:

> I agree with this. We should remove activemq-camel from activemq-osgi and
> use it as a separate bundle. I'm not sure though if it's a good fix for a
> minor release as we need to change features as well. Also upgrade from
> 5.9.0 to 5.9.1 in karat would mean you need to upgrade activemq-osgi and
> add activemq-camel. What do you guys think?
> 
> Regards
> --
> Dejan Bosanac
> ----------------------
> Red Hat, Inc.
> FuseSource is now part of Red Hat
> dbosanac@redhat.com
> Twitter: @dejanb
> Blog: http://sensatic.net
> ActiveMQ in Action: http://www.manning.com/snyder/
> 
> 
> On Wed, Dec 11, 2013 at 11:51 AM, Raul Kripalani <raul@evosent.com> wrote:
> 
>> Hi,
>> 
>> Would there be a chance to take a look at
>> https://issues.apache.org/jira/browse/AMQ-4909 for the 5.9.1 release?
>> 
>> This is a blocker that prevents users from upgrading the AMQ broker within
>> an Karaf / ServiceMix container, if they also use Camel.
>> 
>> Try upgrading from AMQ 5.8 to 5.9, and you get ClassNotFoundExceptions
>> because activemq-camel 5.9.0 expects the Camel EndpointCompleter which was
>> introduced in later versions.
>> 
>> Regards,
>> 
>> *Raúl Kripalani*
>> Apache Camel PMC Member & Committer | Enterprise Architect, Open Source
>> Integration specialist
>> http://about.me/raulkripalani | http://www.linkedin.com/in/raulkripalani
>> http://blog.raulkr.net | twitter: @raulvk
>> 
>> On Wed, Dec 11, 2013 at 10:43 AM, Dejan Bosanac <dejan@nighttale.net>
>> wrote:
>> 
>>> All good on my side.
>>> 
>>> Regards
>>> --
>>> Dejan Bosanac
>>> ----------------------
>>> Red Hat, Inc.
>>> FuseSource is now part of Red Hat
>>> dbosanac@redhat.com
>>> Twitter: @dejanb
>>> Blog: http://sensatic.net
>>> ActiveMQ in Action: http://www.manning.com/snyder/
>>> 
>>> 
>>> On Tue, Dec 10, 2013 at 6:31 PM, Robert Davies <rajdavies@gmail.com>
>>> wrote:
>>> 
>>>> I’m having a look at AMQ-4924 - but that can wait till 5.10 -
>> presumably
>>>> that won’t be far away ?
>>>> 
>>>> On 10 Dec 2013, at 17:28, Hiram Chirino <hiram@hiramchirino.com>
>> wrote:
>>>> 
>>>>> How we looking for 5.9.1 release?  I'm happy now with how the leveldb
>>>>> bits are looking.  Any outstanding bits left to do?
>>>>> 
>>>>> --
>>>>> Hiram Chirino
>>>>> 
>>>>> Engineering | Red Hat, Inc.
>>>>> 
>>>>> hchirino@redhat.com | fusesource.com | redhat.com
>>>>> 
>>>>> skype: hiramchirino | twitter: @hiramchirino
>>>>> 
>>>>> blog: Hiram Chirino's Bit Mojo
>>>> 
>>>> Rob Davies
>>>> ————————
>>>> Red Hat, Inc
>>>> http://hawt.io - #dontcha
>>>> Twitter: rajdavies
>>>> Blog: http://rajdavies.blogspot.com
>>>> ActiveMQ in Action: http://www.manning.com/snyder/
>>>> 
>>>> 
>>> 
>> 

Rob Davies
————————
Red Hat, Inc
http://hawt.io - #dontcha
Twitter: rajdavies
Blog: http://rajdavies.blogspot.com
ActiveMQ in Action: http://www.manning.com/snyder/


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message